import { Router } from '@angular/router';
import { BindQueryParamsManager } from './BindQueryParamsManager';
import { BindQueryParamsOptions, QueryParamParams } from './types';
export declare class BindQueryParamsFactory {
    private router;
    private options;
    constructor(router: Router, options: BindQueryParamsOptions);
    create<T>(defs: QueryParamParams<T>[] | QueryParamParams<T>): BindQueryParamsManager<T>;
}
